Bug 451280 - Review Request: xqf - A server browser for many popular games
Review Request: xqf - A server browser for many popular games
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 13:38 EDT by Stefan Posdzich
Modified: 2008-07-08 22:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 10:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mlichvar: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stefan Posdzich 2008-06-13 13:38:45 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/xqf.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/xqf-1.0.5-1.fc9.src.rpm

Description:

XQF is a network game browser (e.g. Quake, Unreal, etc.). It helps
you locate and connect to game servers. It has configurable server
and player filters so you can find a server running your favorite
game type or that has a buddy.
Comment 1 Stefan Posdzich 2008-06-14 21:27:26 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/xqf.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/xqf-1.0.5-2.fc9.src.rpm

Changelog:

- Add desktop-file-install for the .desktop file
- Add BuildRequires: GeoIP-devel, qstat
- Remove the dummy libGeoIP.so
- Remove Requires: GeoIP
Comment 2 Stefan Posdzich 2008-06-17 11:13:14 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/xqf.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/xqf-1.0.5-3.fc9.src.rpm

Changelog:

- Add --enable-bzip2 for bzip2 data compression
- Add --enable-externalrco (Remote server administration tool)
- Add BuildRequires: readline-devel
- Add correct url for Source:
- Add gtk-update-icon-cache
Comment 3 Stefan Posdzich 2008-06-17 19:58:12 EDT
Spec: http://cheekyboinc.spielen-unter-linux.de/xqf.spec
SRPM: http://cheekyboinc.spielen-unter-linux.de/xqf-1.0.5-4.fc9.src.rpm

Changelog:

- Add new .desktop file source
- Remove BuildRequires: gtk+-devel, glib2-devel
- Remove desktop-file-install --remove-category=X-SuSE-Core-Game and 
{name}.desktop
Comment 4 Mamoru TASAKA 2008-06-18 08:21:11 EDT
(Removing NEEDSPONSOR, sponsored by me)
Comment 5 Miroslav Lichvar 2008-07-05 14:02:43 EDT
Approved.

- rpmlint is silent
- the package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
- the package meets the Packaging Guidelines
- the package is licensed with a Fedora approved license (GPLv2+)
- the License field in the package spec file matches the actual license
- the package includes the text of the license in %doc
- the spec file is written in American English
- the spec file for the package is legible
- the sources used to build the package matches the upstream source
(a88cecba6abb6349107ab135f1009946)
- the package successfully builds in x86_64 rawhide
- all build dependencies are listed in BuildRequires
- the spec file handles locales properly
- the package owns all directories that it creates
- the package does not contain any duplicate files in the %files listing
- permissions on files are set properly
- the package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
- the package consistently uses macros
- the package contains code, or permissible content
- files included as %doc don't affect the runtime of the application
- desktop file is installed with desktop-file-install
- the package does not own files or directories already owned by other packages
- at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
- all filenames in rpm packages are valid UTF-8
- the package builds in mock
- the package functions as described
- scriptlets are sane


Few minor points, but not blockers:

- it's not necessary to buildrequire glibc-devel, it's already required by gcc
- it's probably better to call desktop-file-install after the upstream desktop
file is removed, to avoid removing the installed file in case they both have the
same name
- maybe it would be better to patch the upstream desktop file instead of
creating new one from scratch to keep the translated comments?
Comment 6 Stefan Posdzich 2008-07-07 08:21:34 EDT
Thank you for the Review!
I will look at this minor points.
Comment 7 Stefan Posdzich 2008-07-07 08:22:35 EDT
New Package CVS Request
=======================
Package Name: xqf
Short Description: a server browser for many popular games
Owners: cheekyboinc
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-07-07 14:57:37 EDT
cvs done.
Comment 9 Fedora Update System 2008-07-08 10:11:33 EDT
xqf-1.0.5-5.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-07-08 10:12:19 EDT
xqf-1.0.5-5.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-07-08 22:44:07 EDT
xqf-1.0.5-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-07-08 22:53:01 EDT
xqf-1.0.5-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.